省流:\(100+100+48+30\)

我是肥物。

都是同龄人,

降维打击:\(100+100+100+85\)

同维打击:\(100+100+100+15\)

升维打击:\(100+100+56+40\)

你们赶紧去 WC 别来这里打击这个蒟蒻了。

这玩什么。T3 我只会暴力难道还有错吗。

不对 T3 怎么正解代码这么短。还有希望吗。

重开一把。回到 2026.10.31。这次我一定要场切 T3。

直接冲 T3 正解。

根据前世记忆,直接一上来就直接定义 \(l,r,pre,nxt\) 数组,虽然这代表的是啥我忘了,但是这是题解有的,一定要定义。

显然一看就是计算前驱后继,直接计算跳到最远的位置。

诶那个乘法左右两边是什么来着。算了随便写两个吧。

一遍通过两个小样例。看来我要场切了。

大样例怎么没过。算了我微调一下应该就过了。

不是改哪里啊。怎么把 \(2^6\) 种改动情况全试了一遍都没过。

不行啊直接重构。我就不信这么短的一份代码我都写不了。

加十个特判。

改一下调用数组下标。

可恶,怎么还没过,已经浪费 2h 了。

听说等达克大佬能在最后时刻翻盘,我也要豁出去了。

诶第三六个大样例都过了。

再加点特判。

不是代码怎么这么顽强。为什么改了十次输出的结果都一样。

完蛋只剩 1h 了。我错了我不写正解了还不行吗。

诶暴力怎么打来着。

哦哦就是用一个 dp 来存储最短路数量是吧。我会了。

不是怎么暴力也能写挂。再调一下。

我去我写得不是对的吗。

诶原来还需要枚举三个转移点吗。

怎么办怎么办怎么办。完蛋完蛋完蛋。

哦我好像找到错误了!!!

“考试时间到。”

得分 \(100+100+0+0\)。好耶。


话说刚才我在写什么。还好这不是真的。

哦原来是我在赛后补 T3 代码一直没调出来产生幻觉了罢了。

赛后写了 3.5h T3 才过,还好赛时我已经算机智了没有把全部时间都花在 T3。

唉还是那句话啊,不要奢求太多,我觉得虽然最后我并没有场切掉 T3,但是我做出了正确的抉择。

NOIP 加油吧。

```cpp /* idea:14:35 solved:14:40 expected:100pts Oct31==Dec25? */ ```
```cpp /* idea:15:20 solved:15:58 expected:48pts */ ```
```cpp /* idea:16:05,but O(n*(q + \sumk_i \log n)) maybe can 16:10 ** computer si ji le !!!! !!!! 16:12 teacher helps. fixed 16:26 maybe floyd can get O(n^3 + d^2q) 16:28 oh!!!I know it! solved:16:42 expected:100pts */ ```
```cpp /* 17:08 case13~14 10pts 17:39 case1~3 15pts expected:25pts */ ```

T4 反向挂分 \(5\) 分。

先开的 T3 后开的 T2。